Create a Batch Direct Debit Collection
Authorization
authorization Set Your Secret API Key
In: header
Header Parameters
A unique value, eg. a UUID.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Three-letter ISO 4217 currency code in full uppercase.
1 <= lengthThe date the collections should be executed.
dateA list of direct debits to perform as part of this batch. The payments array must be homogeneous: do not mix directDebitAuthorizationId and directDebitAuthorizationInformation in the same request. Use directDebitAuthorizationId if the Direct Debit Authorization (DDA) was created via Acme's Direct Debit Authorization API, and directDebitAuthorizationInformation if you are using an existing DDA not created with Acme (e.g., registered through paper-based Giro or a bank portal).
Type of the collections: GIRO or FAST.
1 <= lengthResponse Body
*/*
curl -X POST "https://example.com/v1/direct-debit-payment-batches" \ -H "Content-Type: application/json" \ -d '{ "currency": "string", "paymentDate": "2019-08-24", "type": "string" }'{ "createdAt": "string", "currency": "string", "id": "string", "metadata": { "fileName": "string" }, "paymentDate": "string", "payments": [ { "amount": 0, "createdAt": "string", "currency": "string", "customerReference": "string", "directDebitAuthorizationId": "string", "directDebitAuthorizationInformation": { "billReferenceNumber": "string", "internalAccountId": "string", "payerBankAccountNumber": "string", "payerName": "string", "payerSwiftBic": "string" }, "id": "string", "receiver": { "bankAccountNumber": "string" }, "resultCode": "string", "status": "string", "updatedAt": "string" } ], "status": "string", "type": "string", "updatedAt": "string"}